Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: hal

Interfaces

### Description:

Hardware abstraction layer.

### Interfaces:

hal_dbus_chat( domain )

##### Summary

Send and receive messages from hald over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hal_dbus_send( domain )

##### Summary

Send messages to hald over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hal_dgram_send( domain )

##### Summary

Send to hald over a unix domain datagram socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hal_domtrans( domain )

##### Summary

Execute hal in the hal domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

hal_domtrans_mac( domain )

##### Summary

Execute hal mac in the hal mac domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

hal_dontaudit_append_lib_files( domain )

##### Summary

Do not audit attempts to append hald libraries files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

hal_dontaudit_rw_dgram_sockets( domain )

##### Summary

Do not audit attempts to read and write hald unix datagram sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

hal_dontaudit_rw_pipes( domain )

##### Summary

Do not audit attempts to read and write hald unnamed pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

hal_dontaudit_use_fds( domain )

##### Summary

Do not audit attempts to inherited and use hald file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

hal_dontaudit_write_log( domain )

##### Summary

Do not audit attempts to write hald log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

hal_getattr( domain )

##### Summary

Get attributes of hald processes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hal_manage_log( domain )

##### Summary

Create, read, write, and delete hald log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hal_manage_pid_dirs( domain )

##### Summary

Create, read, write, and delete hald pid directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hal_manage_pid_files( domain )

##### Summary

Create, read, write, and delete hald pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hal_ptrace( domain )

##### Summary

Trace hald processes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hal_read_pid_files( domain )

##### Summary

Read hald pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hal_read_state( domain )

##### Summary

Read hal process state files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hal_read_tmp_files( domain )

##### Summary

Read hald temporary files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hal_rw_pid_files( domain )

##### Summary

Read and write hald pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hal_rw_pipes( domain )

##### Summary

Read and write hald unnamed pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hal_stream_connect( domain )

##### Summary

Send to hald over a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hal_use_fds( domain )

##### Summary

Inherit and use hald file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hal_write_log( domain )

##### Summary

Write hald log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return